# Slack

Slack formatter returns message blocks formatted specifically for Slack. Slack uses its own custom variation of Markdown: [mrkdwn](https://api.slack.com/reference/surfaces/formatting#basics).

### Example

```python
snowkill_formatter = SlackFormatter(getenv("SNOWSIGHT_BASE_URL"))

for r in check_results:
    response = send_slack_message(
        slack_token=getenv("SLACK_TOKEN"),
        slack_channel=getenv("SLACK_CHANNEL"),
        message_blocks=snowkill_formatter.format(r),
    )
```

### Usage notes

* Read more about [Slack integration](https://docs.snowkill.net/deployment/slack-integration) on a dedicated documentation page.
* Slack should start with `#`, for example: `#snowflake-monitor`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowkill.net/formatter/built-in-formatters/slack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
